Package Asm

## Class UAL

- java.lang.Object
- - Asm.Instruction
  - - Asm.UAL

-     public class UAL
      extends Instruction

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `UAL.Op` |

  - ### Field Summary

    - ### Fields inherited from class Asm.Instruction

      `label, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UAL​(UAL.Op op, int dest, int sr1, int sr2)` | Constructeur sans label
    `UAL​(java.lang.String label, UAL.Op op, int dest, int sr1, int sr2)` | Constructeur

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getDest()` | Getter du registre de destination
    `int` | `getSr1()` | Getter du premier registre source
    `int` | `getSr2()` | Getter du second registre source
    `void` | `setDest​(int dest)` | Setter du registre de destination
    `void` | `setSr1​(int sr1)` | Setter du premier registre source
    `void` | `setSr2​(int sr2)` | Setter du second registre source
    `java.lang.String` | `toString()` | Conversion en String

    - ### Methods inherited from class Asm.Instruction

      `getLabel, getName, setLabel, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UAL

          public UAL​(java.lang.String label,
                     UAL.Op op,
                     int dest,
                     int sr1,
                     int sr2)

      Constructeur
      Parameters:
        `label` - label de l'instruction
        `op` - type d'opération
        `dest` - numéro du registre de destination
        `sr1` - numéro du premier registre source
        `sr2` - numéro du second registre source

    - #### UAL

          public UAL​(UAL.Op op,
                     int dest,
                     int sr1,
                     int sr2)

      Constructeur sans label
      Parameters:
        `op` - type d'opération
        `dest` - numéro du registre de destination
        `sr1` - numéro du premier registre source
        `sr2` - numéro du second registre source

  - ### Method Detail

    - #### getDest

          public int getDest()

      Getter du registre de destination
      Returns:
        numéro du registre de destination

    - #### setDest

          public void setDest​(int dest)

      Setter du registre de destination
      Parameters:
        `dest` - numéro du registre de destination

    - #### getSr1

          public int getSr1()

      Getter du premier registre source
      Returns:
        numéro du premier registre source

    - #### setSr1

          public void setSr1​(int sr1)

      Setter du premier registre source
      Parameters:
        `sr1` - numéro du premier registre source

    - #### getSr2

          public int getSr2()

      Getter du second registre source
      Returns:
        numéro du second registre source

    - #### setSr2

          public void setSr2​(int sr2)

      Setter du second registre source
      Parameters:
        `sr2` - numéro du second registre source

    - #### toString

          public java.lang.String toString()

      Conversion en String
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String texte de l'instruction